# Session Profiler

The Session Profiler captures the state of the device as well as the app for up to 60 seconds before the report is sent.

In case you would like to disable the Session Profiler, you can use this API.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Luciq.setSessionProfilerEnabled(false)
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[Luciq setSessionProfilerEnabled:NO];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Luciq.setSessionProfilerState(Feature.State.DISABLED);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.setSessionProfilerState(Feature.State.DISABLED)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.setSessionProfilerEnabled(false);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Luciq.setSessionProfilerEnabled(false);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/report-data/session-profiler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
